scala.tools.nsc.backend.icode.analysis.TypeFlowAnalysis.MethodTFA

# TransferFunction

#### class TransferFunction extends (Elem) ⇒ Elem

A flow transfer function of a basic block.

Source
  TypeFlowAnalysis.scala

Linear Supertypes
(Elem) ⇒ Elem, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TransferFunction
2. Function1
3. AnyRef
4. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TransferFunction(consumed: Int, gens: List[Gen])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from TransferFunction to any2stringadd[TransferFunction] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (TransferFunction, B)

   Implicit information
     This member is added by an implicit conversion from TransferFunction to ArrowAssoc[TransferFunction] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def andThen[A](g: (Elem) ⇒ A): (Elem) ⇒ A

   Definition Classes
     Function1
   Annotations
     @unspecialized()

7. #### def apply(in: Elem): Elem

   Definition Classes
     TransferFunction → Function1

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def compose[A](g: (A) ⇒ Elem): (A) ⇒ Elem

    Definition Classes
      Function1
    Annotations
      @unspecialized()

11. #### def ensuring(cond: (TransferFunction) ⇒ Boolean, msg: ⇒ Any): TransferFunction

    Implicit information
      This member is added by an implicit conversion from TransferFunction to Ensuring[TransferFunction] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (TransferFunction) ⇒ Boolean): TransferFunction

    Implicit information
      This member is added by an implicit conversion from TransferFunction to Ensuring[TransferFunction] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): TransferFunction

    Implicit information
      This member is added by an implicit conversion from TransferFunction to Ensuring[TransferFunction] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): TransferFunction

    Implicit information
      This member is added by an implicit conversion from TransferFunction to Ensuring[TransferFunction] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from TransferFunction to StringFormat[TransferFunction] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toParArray: ParArray[T]

    Implicit information
      This member is added by an implicit conversion from TransferFunction to CollectionsHaveToParArray[TransferFunction, T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (TransferFunction) ⇒ GenTraversableOnce[T] is in scope.
    Definition Classes
      CollectionsHaveToParArray

27. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def →[B](y: B): (TransferFunction, B)

    Implicit information
      This member is added by an implicit conversion from TransferFunction to ArrowAssoc[TransferFunction] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from (Elem) ⇒ Elem

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from TransferFunction to CollectionsHaveToParArray[TransferFunction, T]

### Inherited by implicit conversion any2stringadd from TransferFunction to any2stringadd[TransferFunction]

### Inherited by implicit conversion StringFormat from TransferFunction to StringFormat[TransferFunction]

### Inherited by implicit conversion Ensuring from TransferFunction to Ensuring[TransferFunction]

### Inherited by implicit conversion ArrowAssoc from TransferFunction to ArrowAssoc[TransferFunction]

### Ungrouped